petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetAnchors

Get the layout of the anchor (point-to-point) constraints. Typically, the user will not have to call DMPlexGetAnchors() directly: if there are anchors, then DMPlexGetAnchors() is called during DMGetConstraints().

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetAnchors(DM dm, PetscSection *anchorSection, IS *anchorIS)

not collective Many br

### Input Parameters

dm -The DMPlex object Many br

### Output Parameters

| anchorSection | - If not NULL, set to the section describing which points anchor the constrained points. Many br
| anchorIS | - If not NULL, set to the list of anchors indexed by anchorSection Many br

Many br

### See Also

DMPlexSetAnchors(), DMGetConstraints(), DMSetConstraints()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages